/* Problem URL: https://codeforces.com/group/btcK4I5D5f/contest/601720/problem/N */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int m;
    cin >> m;

    if (m == 1) {
        int n;
        cin >> n;
        string a;
        cin >> a;

        a += a;
        char sum = 0;
        rep(i, n) {
            sum = (sum + a[i] - 'a') % 26;
        }
        a.push_back(sum + 'a');
        sum = 0;
        nrep(i, n, n * 2) {
            sum = (sum + a[i] - 'a') % 26;
        }
        a.push_back(sum + 'a');
        cout << a << '\n';
    } else {
        int n;
        cin >> n;
        string a;
        cin >> a;

        n = (n - 2) / 2;
        string a1 = a.substr(0, n);
        string a2 = a.substr(n, n);
        int p1 = a[n * 2] - 'a';

        int test = 0;
        repv(i, a1) {
            test = (test + i - 'a') % 26;
        }

        if (test == p1) {
            cout << a1 << '\n';
            return 0;
        }

        cout << a2 << '\n';
    }
}
